import usb

VENDOR_RQ_SET_LED    = 0
VENDOR_RQ_GET_SWITCH = 1
VENDOR_RQ_GET_LIGHT = 2
def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None

board = find_board()
handle = board.open()
while(1):
	print "---------"
	print "Main Menu"
	print "---------"
	print "1. Set LED"
	print "2. Read switch status"
	print "3. Read voltage level of light sensor"
	print "4. Quit"
	print "Enter choice : "
	a = raw_input()
	if(a=="1"):
		print "Enter LED no (0-2) : "
		b = raw_input()
		b = int(b)
		print "Turn it on or off (0 = off, 1 = on) : "
		c = raw_input()
		c = int(c)
		value = 0x0000
		value = value | c
		value = value << 8
		value = value | b
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
		handle.controlMsg(req, 0, None, value)
	elif(a=="2"):
 		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
		k = handle.controlMsg(req, 1, 1)
		if(k[0]):
			print "The switch is currently ON"
		else: 
			print "The switch is currently OFF"
	elif(a=="3"):
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
		v = handle.controlMsg(req, 2, 10)
		vol = 0
		vol = (v[0] * 256.0 + v[1])/1023.0*5.0
		print "%s %.2f%s" %("The voltage reading is",vol,"V")
	elif(a=="4"):
		break		
